Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able
Class AbleTraceMsg

    java.lang.Object
      java.util.ResourceBundle
          java.util.ListResourceBundle
              com.ibm.able.AbleTraceMsg

public class AbleTraceMsg
extends java.util.ListResourceBundle

This class contains trace messages for Able which need not be translated. They are externalized simply because they are used in multiple places.

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`AbleTraceMsg()`

Method Summary
`protected java.lang.Object[][]` | `getContents()`
`static java.lang.String` | `msg(java.lang.String theMsgKey)` Retrieve a message by key.
`static java.lang.String` | `msg(java.lang.String theMsgKey, java.lang.Object[] theInserts)` Retrieve a message by key and insert text into the message.

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbleTraceMsg

    public AbleTraceMsg()

Method Detail

### getContents

    protected java.lang.Object[][] getContents()

### msg

    public static java.lang.String msg(java.lang.String theMsgKey)

  Retrieve a message by key. The message must not contain any insertion text.

  Parameters:
    `theMsgKey` - A unique key identifying the message to be retrieved from the package's MessageBundle.

  Returns:
    A String containing the requested message.

### msg

    public static java.lang.String msg(java.lang.String theMsgKey,
                                       java.lang.Object[] theInserts)

  Retrieve a message by key and insert text into the message.

  Parameters:
    `theMsgKey` - A unique key identifying the message to be retrieved from the package's MessageBundle.

    `theInserts` - An array of String objects which will be inserted into the message before it is returned.

  Returns:
    A String containing the requested message.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005